# Created by pyp2rpm-3.3.2
%global pypi_name prompt_toolkit
%global pkgname prompt-toolkit

%bcond_without tests

Name:           python-%{pkgname}
Version:        3.0.5
Release:        %mkrel 1
Summary:        Library for building powerful interactive command lines in Python
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.9.0
BuildRequires:  python3dist(wcwidth)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}
Obsoletes:      python3-prompt_toolkit < 2.0.7-2
Provides:       python3-prompt_toolkit = %{version}-%{release}
Requires:       python3dist(six) >= 1.9.0
Requires:       python3dist(wcwidth)

%description -n python3-%{pkgname}
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue May 19 2020 wally <wally> 3.0.5-1.mga8
+ Revision: 1586203
- new version 3.0.5

* Mon Feb 17 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1537231
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 wally <wally> 2.0.10-1.mga8
+ Revision: 1456072
- new version 2.0.10

* Fri Sep 13 2019 tv <tv> 2.0.9-3.mga8
+ Revision: 1440334
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 2.0.9-2.mga8
+ Revision: 1430609
- no more pytest for python2
- fix descriptions

* Fri Mar 22 2019 wally <wally> 2.0.9-1.mga7
+ Revision: 1379632
- new version 2.0.9

* Mon Jan 07 2019 wally <wally> 2.0.7-2.mga7
+ Revision: 1350965
- obsolete python(2,3)-prompt_toolkit

* Mon Jan 07 2019 wally <wally> 2.0.7-1.mga7
+ Revision: 1350876
- imported package python-prompt-toolkit

